---
sidebar_label: InterceptResolutionState
---

# InterceptResolutionState interface

**Signature:**

```typescript
export interface InterceptResolutionState
```

## Properties

| Property                                                      | Modifiers | Type                                                                  | Description       |
| ------------------------------------------------------------- | --------- | --------------------------------------------------------------------- | ----------------- |
| [action](./puppeteer.interceptresolutionstate.action.md)      |           | [InterceptResolutionAction](./puppeteer.interceptresolutionaction.md) |                   |
| [priority?](./puppeteer.interceptresolutionstate.priority.md) |           | number                                                                | <i>(Optional)</i> |
